const got = require("got")
const baseUrl = "https://darrenhickling.com"
const body = (await got(baseUrl)).body;

const cheerio = require("cheerio")
const $ = cheerio.load(body)
const firstImage = baseUrl + $("img").attr("src");

const postTitles = $(".post-link")
    .map((_, el) => $(el).text())
    .get()
    .map(text => text.trim());

module.exports.endpoint = (_, res) => res.end(JSON.stringify(postTitles));